%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-rpds_py
Version:       0.24.0
Release:       1mamba
Summary:       Python bindings to Rust's persistent data structures (rpds)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/crate-py/rpds
Source:        http://pypi.debian.net/rpds-py/rpds_py-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python-maturin-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n rpds_py-%{version}


%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}.dist-info
%{python_sitearch}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitearch}/rpds
%{python_sitearch}/rpds/*
%doc LICENSE

%changelog
* Wed Mar 26 2025 Automatic Build System <autodist@openmamba.org> 0.24.0-1mamba
- automatic version update by autodist

* Sat Feb 22 2025 Automatic Build System <autodist@openmamba.org> 0.23.1-1mamba
- automatic version update by autodist

* Fri Feb 21 2025 Automatic Build System <autodist@openmamba.org> 0.23.0-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 0.22.3-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 0.22.1-1mamba
- automatic version update by autodist

* Tue Dec 03 2024 Automatic Build System <autodist@openmamba.org> 0.22.0-1mamba
- automatic version update by autodist

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 0.21.0-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 0.20.1-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 0.20.0-1mamba
- automatic version update by autodist

* Wed Jul 24 2024 Automatic Build System <autodist@openmamba.org> 0.19.1-1mamba
- automatic version update by autodist

* Tue Jul 09 2024 Automatic Build System <autodist@openmamba.org> 0.19.0-1mamba
- automatic version update by autodist

* Tue May 07 2024 Automatic Build System <autodist@openmamba.org> 0.18.1-1mamba
- automatic version update by autodist

* Wed Feb 14 2024 Automatic Build System <autodist@openmamba.org> 0.18.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 0.17.1-1mamba
- automatic version update by autodist

* Fri Dec 29 2023 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic version update by autodist

* Fri Dec 29 2023 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Sun Dec 17 2023 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Sun Dec 17 2023 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-1mamba
- update to 0.12.0

* Thu Nov 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-2mamba
- rebuilt with python3 == 3.11

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-1mamba
- package created using the webbuild interface
